Package org.eclipse.osgi.storage.bundlefile

# Class ZipBundleFile

java.lang.Object
org.eclipse.osgi.storage.bundlefile.BundleFile
org.eclipse.osgi.storage.bundlefile.CloseableBundleFile<ZipEntry>
org.eclipse.osgi.storage.bundlefile.ZipBundleFile

public class ZipBundleFile extends CloseableBundleFile<ZipEntry>
A BundleFile that uses a ZipFile as it base file.

## Field Summary

### Fields inherited from class org.eclipse.osgi.storage.bundlefile.CloseableBundleFile

`debug, generation`

### Fields inherited from class org.eclipse.osgi.storage.bundlefile.BundleFile

`basefile`

## Constructor Summary

Constructors
Constructor
Description
`ZipBundleFile(File basefile, BundleInfo.Generation generation, MRUBundleFileList mruList, org.eclipse.osgi.internal.debug.Debug debug, boolean verify)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doClose()`
Closes the bundle file
`protected InputStream`
`doGetInputStream(ZipEntry entry)`
Gets the input stream for the specified entry.
`protected void`
`doOpen()`
Opens the bundle file
`protected BundleEntry`
`findEntry(String path)`
Finds the bundle entry for the specified path
`protected Iterable<String>`
`getPaths()`
`protected void`
`postClose()`
Called after closing the bundle file.

### Methods inherited from class org.eclipse.osgi.storage.bundlefile.CloseableBundleFile

`close, containsDir, getEntry, getEntryPaths, getFile, getInputStream, lockOpen, open, releaseOpen`

### Methods inherited from class org.eclipse.osgi.storage.bundlefile.BundleFile

`createResourceURL, createURL, fixTrailingSlash, getBaseFile, getEntryPaths, getResourceURL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ZipBundleFile

public ZipBundleFile(File basefile, BundleInfo.Generation generation, MRUBundleFileList mruList, org.eclipse.osgi.internal.debug.Debug debug, boolean verify) throws IOException

Throws:
  `IOException`

## Method Details

### doOpen

protected void doOpen() throws IOException
Description copied from class: `CloseableBundleFile`
Opens the bundle file

Specified by:
  `doOpen` in class `CloseableBundleFile<ZipEntry>`
Throws:
  `IOException` - if an error occurs

### findEntry

protected BundleEntry findEntry(String path)
Description copied from class: `CloseableBundleFile`
Finds the bundle entry for the specified path

Specified by:
  `findEntry` in class `CloseableBundleFile<ZipEntry>`
Parameters:
  `path` - the path of the entry to find
Returns:
  the entry or `null` if no entry exists

### doClose

protected void doClose() throws IOException
Description copied from class: `CloseableBundleFile`
Closes the bundle file

Specified by:
  `doClose` in class `CloseableBundleFile<ZipEntry>`
Throws:
  `IOException` - if an error occurs closing

### postClose

protected void postClose()
Description copied from class: `CloseableBundleFile`
Called after closing the bundle file.

Specified by:
  `postClose` in class `CloseableBundleFile<ZipEntry>`

### doGetInputStream

protected InputStream doGetInputStream(ZipEntry entry) throws IOException
Description copied from class: `CloseableBundleFile`
Gets the input stream for the specified entry.

Specified by:
  `doGetInputStream` in class `CloseableBundleFile<ZipEntry>`
Parameters:
  `entry` - the entry to get the input stream for. The type is specified by the extending class.
Returns:
  the input steam for the entry
Throws:
  `IOException` - if an error occurs

### getPaths

protected Iterable<String> getPaths()

Specified by:
  `getPaths` in class `CloseableBundleFile<ZipEntry>`